body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background-color: #f4f4f4;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

#container {
    background-color: #fff;
    padding: 2rem;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
    max-width: 1200px;
    width: 100%;
}

h2 {
    margin-bottom: 1rem;
    color: #333;
}

p {
    margin-bottom: 2rem;
    color: #666;
}

.crane-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 1rem;
}

.crane-card {
    background-color: #fff;
    padding: 1rem;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.crane-card:hover {
    transform: scale(1.02);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}


.crane-card img {
    width: 100%;
    height: 180px;
    object-fit: cover; 
    background-color: #fff;
    border-radius: 10px;
}


.crane-card h3 {
    min-height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    font-size: 1.1rem;
    color: #333;
}

.crane-card.selected {
    border-color: #ff6600;
    background-color: rgb(255, 206, 185);
    box-shadow: 0 8px 16px rgba(255, 102, 0, 0.5);
}

button {
    display: inline-block;
    padding: 0.75rem 1.5rem;
    background-color: #ff6600;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease, transform 0.3s ease;
    margin-top: 1rem;
}

button:hover {
    background-color: #e65c00;
    transform: scale(1.05);
}

input[type="text"] {
    width: 80%;
    margin-bottom: 1.5rem;
    border-radius: 5px;
    border-width: 1px;
    padding: 5px;
}

/* Responsive design */
@media (max-width: 600px) {
    #container {
        padding: 0.5rem;
    }

    h2 {
        font-size: 0.9rem;
    }

    p {
        font-size: 0.8rem;
    }

    .crane-card h3 {
        font-size: 1rem;
    }

    button {
        padding: 0.3rem;
    }

    .crane-grid {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(150px, 4fr));
        gap: 1rem;
    }

}

@media (max-width: 500px) and (min-width: 200px) {
    .crane-card h3 {
        font-size: 0.8rem;
    }

    .crane-card img {
        width: 100%;
        height: 150px;
    }

    p{
        font-size: 0.7rem;
    }
}